1. Event Types
Jicoo Developer Potal
  • Create powerful apps with Jicoo's API
  • Quick start
  • Errors
  • Versioning
  • Types
  • API Reference Overview
  • Authentication
  • Guide
    • How to use webhook
    • How to use Account integration
  • Guide(Japanese)
    • アカウント連携の使い方
    • Webhookの使い方
    • ホストの優先度を更新する方法
    • Jicoo MCP Serverの使い方
    • Jicoo MCP サーバ セットアップガイド
  • API Reference
    • Jicoo API
    • Webhook Schema
      • Webhook schema
      • event property
      • createdAt property
      • object property
      • contact property
      • answers property
      • answers items property
      • tracking property
    • Booking
      • List Bookings
      • Get Booking
      • Cancel Booking
      • Reschedule Booking
      • Create Booking
      • Update Booking
      • Get Booking Contacts
    • Schedule
      • Update Schedule
      • Create Schedule
      • List Schedules
      • Delete Schedule
    • Availability
      • List User Availability Calendars
      • Get User Availability Calendar
    • Oraganization
      • User
        • List Organization Users
        • Delete Organization User
        • Get Organization User
        • Update Organization User
      • Invitation
        • Create Organiztion Invitation
        • List Organization Invitations
        • Get Organization Invitation
        • Delete Organiztion Invitation
      • Get Organization Team
    • Event Types
      • Get Event Type
        GET
      • List Event Types
        GET
      • List Event Type Hosts
        GET
      • Get Event Type Available Schedules
        GET
      • Account Integration
        POST
      • Update Event Type Host
        PATCH
      • Delete Event Type Host
        DELETE
      • Create Event Type Host
        POST
      • Delete Event Type Host Assign Rule
        DELETE
      • Update Event Type Host Assign Rule
        PATCH
      • Create Event Type Host Assign Rule
        POST
      • List Event Type Host Assign Rules
        GET
      • Update an event type
        PATCH
      • Create an event type
        POST
      • Delete an event type
        DELETE
    • Webhook Endpoints
      • List webhook endpoints
      • Create a webhook endpoint
      • Get a webhook endpoint
      • Update a webhook endpoint
      • Delete a webhook endpoint
    • Booking Meeting Intelligence
      • List recordings for a booking
      • List transcripts for a booking
      • List recaps for a booking
  • Schemas
    • Booking
    • OrganizationUser
    • OrganizationInvitation
    • UserAvailabilityCalendar
    • OrganizationTeam
    • EventType
    • Host
    • Pagination
    • AvailableSchedule
    • EventTypeUpdateRequest
    • EventTypeCreateRequest
    • BookingRecapSummary
    • BookingTranscriptSpeakerTimelineSegment
    • BookingRecording
    • BookingRecapRisk
    • EventTypeDetail
    • EventTypeUpdateLocation
    • GeneratedEventTypeUpdateRequest
    • EventTypeCreateEventType
    • BookingTranscript
    • BookingRecordingResponse
    • WebhookEndpointPublicCreateBody
    • WebhookEndpointPublicUpdateBody
    • EventTypeUserUpdate
    • ErrorEnvelope
    • EventTypeCreateLocation
    • BookingRecap
    • BookingTranscriptResponse
    • EventTypeUserCreate
    • EventTypeUpdateForm
    • BookingRecapResponse
    • WebhookEndpointCreateResponse
    • EventTypeUpdateWorkflow
    • EventTypeUpdateHostAssignRule
    • WebhookEndpoint
    • EventTypeCalendarCreateBody
    • EventTypeCalendarCreate
    • EventTypeNotification
    • EventTypeSettingCreateBody
    • EventFormCreateBody
    • EventTypeTransparencyKeywordCreateBody
    • EventTypeCreateHostAssignRule
    • Schedule
    • EmptySuccessResponse
    • ErrorResponse
    • Booking Contact
    • HostAssignRule
  1. Event Types

Update an event type

PATCH
/v1/event_types/{eventTypeId}

Request

Authorization
or
or
Path Params

Body Params application/jsonRequired

Example
{
    "name": "Updated event name",
    "duration": 45,
    "intervalMinutes": 15,
    "availableUserType": "all",
    "hostAssignType": "hostAssignRule",
    "roundRobinAllocateType": "allocateWeighting",
    "rescheduleType": "reassign",
    "location": {
        "isZoom": true,
        "isGoogle": false
    },
    "eventTypeUsers": [
        {
            "userId": "user_uid_1",
            "role": "admin",
            "userType": "host",
            "priority": 0
        }
    ],
    "form": {
        "workflows": [
            {
                "uid": "wf_name",
                "workflowType": "name",
                "content": "Name",
                "isRequired": true
            },
            {
                "uid": "wf_email",
                "workflowType": "email",
                "content": "Email",
                "isRequired": true
            },
            {
                "uid": "wf_team_size",
                "workflowType": "dropdown",
                "content": "Team size",
                "isRequired": true,
                "choices": [
                    {
                        "uid": "c_1_10",
                        "value": "1-10"
                    },
                    {
                        "uid": "c_11_50",
                        "value": "11-50"
                    },
                    {
                        "uid": "c_51_plus",
                        "value": "51+"
                    }
                ]
            },
            {
                "uid": "wf_interests",
                "workflowType": "checkbox",
                "content": "Interests",
                "isRequired": false,
                "choices": [
                    {
                        "uid": "c_sales",
                        "value": "Sales"
                    },
                    {
                        "uid": "c_marketing",
                        "value": "Marketing"
                    },
                    {
                        "uid": "c_support",
                        "value": "Support"
                    }
                ]
            }
        ]
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/v1/event_types/' \
--header 'Content-Type: application/json' \
--data '{
    "name": "Updated event name",
    "duration": 45,
    "intervalMinutes": 15,
    "availableUserType": "all",
    "hostAssignType": "hostAssignRule",
    "roundRobinAllocateType": "allocateWeighting",
    "rescheduleType": "reassign",
    "location": {
        "isZoom": true,
        "isGoogle": false
    },
    "eventTypeUsers": [
        {
            "userId": "user_uid_1",
            "role": "admin",
            "userType": "host",
            "priority": 0
        }
    ],
    "form": {
        "workflows": [
            {
                "uid": "wf_name",
                "workflowType": "name",
                "content": "Name",
                "isRequired": true
            },
            {
                "uid": "wf_email",
                "workflowType": "email",
                "content": "Email",
                "isRequired": true
            },
            {
                "uid": "wf_team_size",
                "workflowType": "dropdown",
                "content": "Team size",
                "isRequired": true,
                "choices": [
                    {
                        "uid": "c_1_10",
                        "value": "1-10"
                    },
                    {
                        "uid": "c_11_50",
                        "value": "11-50"
                    },
                    {
                        "uid": "c_51_plus",
                        "value": "51+"
                    }
                ]
            },
            {
                "uid": "wf_interests",
                "workflowType": "checkbox",
                "content": "Interests",
                "isRequired": false,
                "choices": [
                    {
                        "uid": "c_sales",
                        "value": "Sales"
                    },
                    {
                        "uid": "c_marketing",
                        "value": "Marketing"
                    },
                    {
                        "uid": "c_support",
                        "value": "Support"
                    }
                ]
            }
        ]
    }
}'

Responses

🟢200
application/json
Event type updated successfully.
Bodyapplication/json

Example
{
    "data": {
        "uid": "string",
        "slug": "string",
        "name": "string",
        "description": "string",
        "coverImage": "string",
        "color": "string",
        "duration": 1,
        "status": "enable",
        "internalNote": "string",
        "locations": [
            {
                "locationId": "inPerson"
            }
        ],
        "questions": [
            {
                "uid": "string",
                "choices": [
                    {
                        "uid": "string",
                        "value": "string"
                    }
                ],
                "content": "string",
                "isRequired": true,
                "workflowType": "text",
                "hasOtherChoice": true
            }
        ],
        "services": [
            {
                "id": 0,
                "name": "string",
                "description": "string",
                "coverImage": "string",
                "isRequired": true,
                "isShowPrice": true,
                "price": {
                    "currency": "jpy",
                    "unitAmount": 0,
                    "taxInclusive": "exclusive",
                    "taxPercentage": 0
                },
                "sort": 0
            }
        ],
        "paymentMethods": [
            {
                "methodType": "none"
            }
        ],
        "availableUserType": "all",
        "hostAssignType": "none",
        "createdAt": "2019-08-24T14:15:22.123Z",
        "updatedAt": "2019-08-24T14:15:22.123Z",
        "hostAssignRules": [
            {
                "uid": "string",
                "sort": 0,
                "priority": 0,
                "dailyLimitMinutes": 1,
                "weeklyLimitMinutes": 1,
                "monthlyLimitMinutes": 1,
                "conditions": [
                    {
                        "entities": [
                            {
                                "entityType": "User",
                                "entityId": "string"
                            }
                        ]
                    }
                ],
                "createdAt": "string",
                "updatedAt": "string"
            }
        ]
    }
}
Modified at 2026-04-22 17:46:31
Previous
List Event Type Host Assign Rules
Next
Create an event type
Built with